Subject: bug#62004: 30.0.50; comp-run-async-workers failure when default-directory deleted

From: Eli Zaretskii <[email-masked]>
Date: Mon, 06 Mar 2023 20:31:27 +0200

> From: No Wayman <[email-masked]>
> Cc: Andrea Corallo <[email-masked]>, [email-masked]
> Date: Mon, 06 Mar 2023 12:20:21 -0500
> 
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I'm not sure we should do anything here: after all, the error 
> > message
> > tells what's wrong quite clearly.
> 
> If it's the caller's responsibility to ensure a subprocess is 
> invoked from an existing directory, fair enough.

I don't think this is about the directory where the subprocess is
invoked, I think this is about the .el file not being present.  Emacs
needs the file that is being natively-compiled to exist as a file on
disk.

Andrea, am I right?